[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomPanel.ParentColor

Indicates if the control is drawn using the color in the parent control.

## Declaration

Source position: extctrls.pp line 1167

`public property TCustomPanel.ParentColor : Boolean default True;`

## Description

When ParentColor is True, the control is drawn using the Color from the parent control. When ParentColor is False, the Color property is used to draw the control.

The default value for the property is True.

Changing the value for the property causes the UpdateParentColorChange method to be executed.

## See also

TControl.ParentColor |  | Use the Color from the Parent control, when enabled.
TCustomPanel.UpdateParentColorChange |  | Updates the control to reflect changes to the ParentColor property.
TCustomPanel.Color |  | Contains the background color for the panel.